libmwawOLE::Header Class Reference

## Public Member Functions

| Header ()
void | compute_block_size ()
bool | valid_signature () const
bool | valid ()
void | load (const unsigned char *buffer, unsigned long size)
void | save (unsigned char *buffer)

## Public Attributes

unsigned char | m_magic [8]
unsigned | m_revision
unsigned | m_num_bat
unsigned | m_start_dirent
unsigned | m_threshold
unsigned | m_start_sbat
unsigned | m_num_sbat
unsigned | m_shift_sbat
unsigned | m_size_sbat
unsigned | m_shift_bbat
unsigned | m_size_bbat
unsigned | m_start_mbat
unsigned | m_num_mbat
unsigned long | m_blocks_bbat [109]

## Static Protected Attributes

static const unsigned char | s_ole_magic []

## Friends

std::ostream & | operator<< (std::ostream &o, Header const &h)

## Constructor & Destructor Documentation

libmwawOLE::Header::Header | ( |  | ) |

## Member Function Documentation

void libmwawOLE::Header::compute_block_size | ( |  | ) |

inline

Referenced by Header(), and load().

void libmwawOLE::Header::load | ( | const unsigned char * | buffer,
|  | unsigned long | size
| ) |  |

Referenced by libmwawOLE::IStorage::load().

void libmwawOLE::Header::save | ( | unsigned char * | buffer | ) |

Referenced by libmwawOLE::OStorage::updateToSave().

bool libmwawOLE::Header::valid | ( |  | ) |

Referenced by libmwawOLE::IStorage::load().

bool libmwawOLE::Header::valid_signature | ( |  | ) | const

inline

Referenced by libmwawOLE::IStorage::load().

## Friends And Related Function Documentation

std::ostream& operator<< | ( | std::ostream & | o,
|  | Header const & | h
| ) |  |

friend

## Member Data Documentation

unsigned long libmwawOLE::Header::m_blocks_bbat[109]

Referenced by Header(), load(), libmwawOLE::IStorage::load(), libmwawOLE::operator<<(), save(), and libmwawOLE::OStorage::updateToSave().

unsigned char libmwawOLE::Header::m_magic[8]

Referenced by Header(), load(), and valid_signature().

unsigned libmwawOLE::Header::m_num_bat

Referenced by load(), libmwawOLE::IStorage::load(), libmwawOLE::operator<<(), save(), libmwawOLE::OStorage::updateToSave(), and valid().

unsigned libmwawOLE::Header::m_num_mbat

Referenced by load(), libmwawOLE::IStorage::load(), libmwawOLE::operator<<(), save(), libmwawOLE::OStorage::updateToSave(), and valid().

unsigned libmwawOLE::Header::m_num_sbat

Referenced by load(), libmwawOLE::operator<<(), save(), and libmwawOLE::OStorage::updateToSave().

unsigned libmwawOLE::Header::m_revision

Referenced by load(), libmwawOLE::operator<<(), libmwawOLE::IStorage::revision(), save(), and libmwawOLE::OStorage::setRevision().

unsigned libmwawOLE::Header::m_shift_bbat

Referenced by compute_block_size(), load(), libmwawOLE::operator<<(), save(), and valid().

unsigned libmwawOLE::Header::m_shift_sbat

Referenced by compute_block_size(), load(), libmwawOLE::operator<<(), save(), and valid().

unsigned libmwawOLE::Header::m_size_bbat

Referenced by compute_block_size(), libmwawOLE::IStorage::IStorage(), libmwawOLE::IStorage::load(), and valid().

unsigned libmwawOLE::Header::m_size_sbat

Referenced by compute_block_size(), libmwawOLE::IStorage::IStorage(), and libmwawOLE::IStorage::load().

unsigned libmwawOLE::Header::m_start_dirent

Referenced by load(), libmwawOLE::IStorage::load(), libmwawOLE::operator<<(), save(), and libmwawOLE::OStorage::updateToSave().

unsigned libmwawOLE::Header::m_start_mbat

Referenced by load(), libmwawOLE::IStorage::load(), libmwawOLE::operator<<(), save(), and libmwawOLE::OStorage::updateToSave().

unsigned libmwawOLE::Header::m_start_sbat

Referenced by load(), libmwawOLE::IStorage::load(), libmwawOLE::operator<<(), save(), and libmwawOLE::OStorage::updateToSave().

unsigned libmwawOLE::Header::m_threshold

Referenced by load(), libmwawOLE::IStorage::load(), libmwawOLE::operator<<(), save(), libmwawOLE::IStorage::use_big_block_for(), libmwawOLE::OStorage::useBigBlockFor(), and valid().

const unsigned char libmwawOLE::Header::s_ole_magic

static protected

Initial value:
=
{ 0xd0, 0xcf, 0x11, 0xe0, 0xa1, 0xb1, 0x1a, 0xe1 }

Referenced by Header(), save(), and valid_signature().

The documentation for this class was generated from the following file:

- MWAWOLEStream.cxx